@import "prismjs/themes/prism-coy.css" ( prefers-color-scheme: no-preference ), ( prefers-color-scheme: light );
@import "prismjs/themes/prism-tomorrow.css" ( prefers-color-scheme: dark );

.entry-content pre {
	/* Higher specificity to beat Prims' style. */
	&,
	&[class*="language-"] {
		@mixin align-wide;

		font-size: 0.875rem;
		margin-bottom: 2em;
		overflow: visible;

		@media ( prefers-color-scheme: dark ) {
			padding: 0;
		}

		/* Give some more breathing room. */
		> code {
			line-height: 1.8;
			padding-left: 1em;
			padding-right: 1em;

			@media ( prefers-color-scheme: no-preference ), ( prefers-color-scheme: light ) {
				background-size: 3.6em 3.6em;
			}

			@media ( prefers-color-scheme: dark ) {
				background-color: #1c1c1c;
				padding-top: 1em;
				padding-bottom: 1em;
			}
		}
	}
}
